org.apache.hadoop.ipc.protobuf

## Interface ProtocolInfoProtos.ProtocolInfoService.Interface

- All Known Implementing Classes:
    ProtocolInfoProtos.ProtocolInfoService.Stub
  Enclosing class:
    ProtocolInfoProtos.ProtocolInfoService

      public static interface ProtocolInfoProtos.ProtocolInfoService.Interface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getProtocolSignature(com.google.protobuf.RpcController controller, ProtocolInfoProtos.GetProtocolSignatureRequestProto request, com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolSignatureResponseProto> done)` `rpc getProtocolSignature(.hadoop.common.GetProtocolSignatureRequestProto) returns (.hadoop.common.GetProtocolSignatureResponseProto);`
    `void` | `getProtocolVersions(com.google.protobuf.RpcController controller, ProtocolInfoProtos.GetProtocolVersionsRequestProto request, com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolVersionsResponseProto> done)` `rpc getProtocolVersions(.hadoop.common.GetProtocolVersionsRequestProto) returns (.hadoop.common.GetProtocolVersionsResponseProto);`

- - ### Method Detail

    - #### getProtocolVersions

          void getProtocolVersions(com.google.protobuf.RpcController controller,
                                   ProtocolInfoProtos.GetProtocolVersionsRequestProto request,
                                   com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolVersionsResponseProto> done)

      `rpc getProtocolVersions(.hadoop.common.GetProtocolVersionsRequestProto) returns (.hadoop.common.GetProtocolVersionsResponseProto);`

           Return protocol version corresponding to protocol interface for each
           supported rpc kind.

    - #### getProtocolSignature

          void getProtocolSignature(com.google.protobuf.RpcController controller,
                                    ProtocolInfoProtos.GetProtocolSignatureRequestProto request,
                                    com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolSignatureResponseProto> done)

      `rpc getProtocolSignature(.hadoop.common.GetProtocolSignatureRequestProto) returns (.hadoop.common.GetProtocolSignatureResponseProto);`

           Return protocol version corresponding to protocol interface.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.